Subject: Re: bug#42637: [EXT] Re: bug#42637: 27.0.91; mm-view-pkcs7 doesn't handle S/MIME signed andd encrypted messages

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 07 Sep 2020 16:33:23 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Well, that's as far as I've gotten.

Getting there to fixing the problem wasn't that hard.  It turns out that
mm-view-pkcs7-verify doesn't really report back the status when we're
using gpgsm here, so I fixed that, and I also made the mm dissection
return a multipart for signed + encrypted data, so that we have a way to
show the status.

So this now looks like:

And...  with that I think all the stuff we discussed in this bug report
has been covered, and if there's more problems in this area, please open
a new bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no